Bug 1722820 - missing gtksourceview3 dependency
Summary: missing gtksourceview3 dependency
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: virt-manager
Version: 8.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Pavel Hrdina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 1732530 1738431 1740564 (view as bug list)
Depends On:
Blocks: 1574709 1624641 1660905 1699080 1699081 1714713 1732530
TreeView+ depends on / blocked
 
Reported: 2019-06-21 12:04 UTC by Pavel Hrdina
Modified: 2019-08-14 03:05 UTC (History)
10 users (show)

Fixed In Version: virt-manager-2.2.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Pavel Hrdina 2019-06-21 12:04:09 UTC
Description of problem:

In virt-manager GUI if you try open details of VM or create a new VM nothing happens and in the debug log there is following message:

[Fri, 21 Jun 2019 11:51:27 virt-manager 2769] DEBUG (cli:197) Uncaught exception:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/manager.py", line 456, in new_vm
    from .createvm import vmmCreateVM
  File "/usr/share/virt-manager/virtManager/createvm.py", line 31, in <module>
    from .storagebrowse import vmmStorageBrowser
  File "/usr/share/virt-manager/virtManager/storagebrowse.py", line 11, in <module>
    from .hoststorage import vmmHostStorage
  File "/usr/share/virt-manager/virtManager/hoststorage.py", line 17, in <module>
    from .createpool import vmmCreatePool
  File "/usr/share/virt-manager/virtManager/createpool.py", line 18, in <module>
    from .xmleditor import vmmXMLEditor
  File "/usr/share/virt-manager/virtManager/xmleditor.py", line 6, in <module>
    gi.require_version('GtkSource', '4')
  File "/usr/lib64/python3.6/site-packages/gi/__init__.py", line 134, in require_version
    (namespace, version))
ValueError: Namespace GtkSource not available for version 4


Version-Release number of selected component (if applicable):
virt-manager-2.2.0-1.el8

How reproducible:
100%

Steps to Reproduce:
1. open virt-manager GUI
2. click on "Create new virtual machine" button or on any VM to show details

Actual results:
Nothing happens and error message is logged into debug logs.

Expected results:
New window should appear.

Comment 1 Pavel Hrdina 2019-06-21 12:10:29 UTC
Upstream commits:

commit 033e97021e6654c9859776dedd9cd0504973f1d6
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Jun 18 09:46:05 2019 -0400

    xmleditor: Handle gtksourceview3 as well as gtksourceview4

commit 267f226134afb9dfef9091e3da5647441aebabbf
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Jun 18 10:39:15 2019 -0400

    xmleditor: Fix the gtksource version checking

Comment 3 zhoujunqin 2019-06-24 06:14:06 UTC
Hi Pavel,
Yes, i can also reproduce this bug with package: virt-manager-2.2.0-1.el8.noarch.
So please build the new package as soon as possible, it blocks us functional testing of virt-manager, thanks.

BR,
juzhou.

Comment 4 Pavel Hrdina 2019-06-24 06:49:05 UTC
Hi Junqin,

I was waiting for qa_ack, making build now, thanks.

Comment 5 zhoujunqin 2019-06-24 06:55:41 UTC
(In reply to Pavel Hrdina from comment #4)
> Hi Junqin,
> 
> I was waiting for qa_ack, making build now, thanks.

Hi Pavel,

Got it, thanks.
We had TB last Friday, and tzheng has acked this bug, sorry for late.

Comment 7 Pavel Hrdina 2019-07-24 07:32:12 UTC
*** Bug 1732530 has been marked as a duplicate of this bug. ***

Comment 8 zhoujunqin 2019-07-24 07:39:46 UTC
Try to verify this bug with new build:
gtksourceview3-3.24.9-1.el8.x86_64
virt-manager-2.2.1-1.el8.noarch
virt-install-2.2.1-1.el8.noarch
libvirt-4.5.0-24.module+el8.1.0+3205+41ff0a42.x86_64
qemu-kvm-2.12.0-77.module+el8.1.0+3382+49219945.x86_64

Steps:
1. Open virt-manager GUI
# virt-manager

2. click on "Create new virtual machine" button or on any VM to show details.

Result:
New window appears successfully, so I move this bug from ON_QA to VERIFIED.

Comment 9 Nanda Kishore Chinnaram 2019-07-24 13:09:50 UTC
Would this get fixed in the next build of RHEL-8.1?

Comment 10 Pavel Hrdina 2019-07-25 07:51:24 UTC
(In reply to Nanda Kishore Chinnaram from comment #9)
> Would this get fixed in the next build of RHEL-8.1?

The BZ is already ON_QA and the "Fixed In Version" is filled with the build
where the BZ is fixed so once that build is included in the next RHEL-8.1
compose it will be fixed.

Comment 11 tingting zheng 2019-08-08 03:16:58 UTC
*** Bug 1738431 has been marked as a duplicate of this bug. ***

Comment 12 zhoujunqin 2019-08-14 03:05:40 UTC
*** Bug 1740564 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.